src/Entity/User.php
<?php

namespace App\Entity;

use App\Repository\UserRepository;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Validator\Constraints as Assert;
use Symfony\Component\Security\Core\User\UserInterface;
use Symfony\Bridge\Doctrine\Validator\Constraints\UniqueEntity;
use Symfony\Component\HttpFoundation\File\File;
use Vich\UploaderBundle\Mapping\Annotation as Vich;


/**
 * @ORM\Entity(repositoryClass=UserRepository::class)
 *  @UniqueEntity(
 * fields = {"email"},
 * message ="l'email que vous avez indiqué est deja utilisé !")
 *  @Vich\Uploadable
 */
class User implements UserInterface
{
    /**
     * @ORM\Id()
     * @ORM\GeneratedValue()
     * @ORM\Column(type="integer")     
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $username;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $email;

     /**
     * @ORM\Column(type="json")
     */
    private $roles = [];

    /**
     * @ORM\Column(type="string", length=255)
     *  @Assert\Length(min="8", minMessage="Votre mot de passe doit faire minimum 8 caractère") 
     */
    private $password;

     /**
    * @Assert\EqualTo(propertyPath="password", message="Vous n'avez pas tapé le même mot de passe")
     */

    public $Confirm_Password;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $address;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $phone;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $city;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $postal_code;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $firstname;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $lastname;

    /**
     * @ORM\OneToMany(targetEntity=Borrowing::class, mappedBy="Borrowing")
     */
    private $Borrowing;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $Genres;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $subscription;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $subscriptionstatus;

  

   

  

   

    public function __construct()
    {
        $this->Borrowing = new ArrayCollection();
    }

    // ... other fields

   
    public function getId(): ?int
    {
        return $this->id;
    }

    public function getUsername(): ?string
    {
        return $this->username;
    }

    public function setUsername(string $username): self
    {
        $this->username = $username;

        return $this;
    }

    public function getEmail(): ?string
    {
        return $this->email;
    }

    public function setEmail(string $email): self
    {
        $this->email = $email;

        return $this;
    }

    public function getPassword(): ?string
    {
        return $this->password;
    }

    public function setPassword(string $password): self
    {
        $this->password = $password;

        return $this;
    }
    public function eraseCredentials() {}

    public function getSalt() {}

    public function getRoles(): ?array
    {
        $roles = $this->roles;  
        //guarantee every user at least has ROLE_USER      
        $roles[] = 'ROLE_USER';
        
        return array_unique($roles);
    }

    public function setRoles(array $roles): self
    {
        $this->roles = $roles;

        return $this;
    }

    public function getAddress(): ?string
    {
        return $this->address;
    }

    public function setAddress(string $address): self
    {
        $this->address = $address;

        return $this;
    }

    public function getPhone(): ?string
    {
        return $this->phone;
    }

    public function setPhone(string $phone): self
    {
        $this->phone = $phone;

        return $this;
    }

    public function getCity(): ?string
    {
        return $this->city;
    }

    public function setCity(string $city): self
    {
        $this->city = $city;

        return $this;
    }

    public function getPostalCode(): ?string
    {
        return $this->postal_code;
    }

    public function setPostalCode(string $postal_code): self
    {
        $this->postal_code = $postal_code;

        return $this;
    }

    public function getFirstname(): ?string
    {
        return $this->firstname;
    }

    public function setFirstname(string $firstname): self
    {
        $this->firstname = $firstname;

        return $this;
    }

    public function getLastname(): ?string
    {
        return $this->lastname;
    }

    public function setLastname(string $lastname): self
    {
        $this->lastname = $lastname;

        return $this;
    }

    /**
     * @return Collection|Borrowing[]
     */
    public function getBorrowing(): Collection
    {
        return $this->Borrowing;
    }

    public function addBorrowing(Borrowing $borrowing): self
    {
        if (!$this->Borrowing->contains($borrowing)) {
            $this->Borrowing[] = $borrowing;
            $borrowing->setPurchase($this);
        }

        return $this;
    }

    public function removeBorrowing(Borrowing $borrowing): self
    {
        if ($this->Borrowing->contains($borrowing)) {
            $this->Borrowing->removeElement($borrowing);
            // set the owning side to null (unless already changed)
            if ($borrowing->getPurchase() === $this) {
                $borrowing->setPurchase(null);
            }
        }

        return $this;
    }

    public function getGenres(): ?string
    {
        return $this->Genres;
    }

    public function setGenres(string $Genres): self
    {
        $this->Genres = $Genres;

        return $this;
    }

    public function getSubscription(): ?string
    {
        return $this->subscription;
    }

    public function setSubscription(string $subscription): self
    {
        $this->subscription = $subscription;

        return $this;
    }

    public function getSubscriptionstatus(): ?string
    {
        return $this->subscriptionstatus;
    }

    public function setSubscriptionstatus(string $subscriptionstatus): self
    {
        $this->subscriptionstatus = $subscriptionstatus;

        return $this;
    }
    public function __toString()
    {
        return $this->username;
    }

   

   
   

  
}

src/Controller/Security_Controller.php
<?php

namespace App\Controller;

use App\Entity\User;
use App\Form\RegistrationType;
use Doctrine\ORM\EntityManagerInterface;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\Security\Core\Encoder\UserPasswordEncoderInterface;

class Security_Controller extends AbstractController
{
    /**
     * @Route("/inscrisption", name="security_registration")
     */
    public function registration(Request $request,EntityManagerInterface $manager,UserPasswordEncoderInterface $encoder ){
        $user = new User();
        $form = $this->createForm(RegistrationType::class,$user);
        

        $form->handleRequest($request);
        if($form->isSubmitted() && $form->isValid()){
            $hash = $encoder->encodePassword($user,$form->get('password')->getData());
            $user->setPassword($hash);
            $user->setUsername($form->get('username')->getData());
            $user->setEmail($form->get('email')->getData());
            $user->setAddress($form->get('address')->getData());
            $user->setPhone($form->get('phone')->getData());
            $user->setCity($form->get('city')->getData());
            $user->setPostalCode($form->get('postal_code')->getData());
            $user->setFirstname($form->get('firstname')->getData());            
            $user->setLastname($form->get('lastname')->getData());           
            $manager->persist($user);
            $manager->flush();    
        
            return $this->redirectToRoute('security_login');
        }

        return $this->render('security/registration.html.twig',[
            'form'=> $form->createView()      
        ]); 
    }

    /**
     * @Route("/connexion", name="security_login")
     */

    public function login(){
        $this->addFlash('message', 'Votre inscription a bien été pris en compte.');
        $this->addFlash('security', 'Votre mot de passe ou email est incorrecte.');          
        return $this->render('security/login.html.twig');
    }

    /**
     * @Route("/deconnexion", name="security_logout")
     */

    public function logout(){}
}

templates/security/login.html.twig
{% extends 'base.html.twig' %}

{% block title %}Connexion{% endblock %}

{% block body %}
<section id="logins" class="container-fluid">
	<section class="container">
		 <header class="row">
                <div class="col-12">
					<h1 class="titre-catalogue"> Connexion</h1>
				</div>
			</header>				
			<div class="row">
				<div class="col-12">
					<form action = "{{ path('security_login') }}" method="post" >
						<div class="form-group">
							<input placeholder="Adresse Email ..." id="email" name="_username" type="text" class="form-control">
							<input placeholder="Mot de passe ..." id="password" name="_password" type="password" class="form-control">
						</div>
						<div class="form-group">
						<button type="submit"  class="btn btn-success login">Connexion </button> 
						<a href="{{ path('security_registration') }}"><input id="registration"class="btn btn-success" type="button" value="Inscription"></a>
					</form>
				</div>
			</div>
		</section>
	</section>				
{% endblock %}

templates/security/registration.html.twig
{% extends 'base.html.twig' %}

{% block title %}Enregistrement{% endblock %}

{% block body %}
    <section id="information-personnel-edit" class="container-fluid">
		<section class="container">
			<header class="row">
                <div class="col-12">
                    <h1 class="service"> Inscrisption sur le site</h1>
                </div>
            </header>
            <div class="row">
                <div class="col-12">                        
                    {{form_start(form)}}    
                    {{form_row(form.genres, {'label' : 'genres','attr' : {'placeholder':'genres'}})}}
                    {{form_row(form.address, {'label' : 'adresse','attr' : {'placeholder':'adresse'}})}}
                    {{form_row(form.phone, {'label' : 'téléphone','attr' : {'placeholder':'téléphone'}})}}
                    {{form_row(form.city, {'label' : 'ville','attr' : {'placeholder':'ville'}})}}
                    {{form_row(form.postal_code, {'label' : 'code postal','attr' : {'placeholder':'code postal'}})}}
                    {{form_row(form.firstname, {'label' : 'prénom','attr' : {'placeholder':'prénom'}})}}
                    {{form_row(form.lastname, {'label' : 'nom','attr' : {'placeholder':'nom'}})}}
                    {{form_row(form.username, {'label' : 'Nom d\'utilisateur','attr' : {'placeholder':'Nom d\'utilisateur'}})}}
                    {{form_row(form.email ,{'label' : 'Adresse mail', 'attr' :{'placeholder': 'Adresse email ...'}})}}
                    {{form_row(form.password,{'label': 'Mot de passe', 'attr' :{'placeholder':'Mot de passe 8 caractères minimum !'}})}}
                    {{form_row(form.Confirm_Password,{'label': 'Confirmation du mot de passe','attr':{'placeholder':'Répetez votre mot de passe'}})}}
                    {{form_row(form.subscription, {'label' : 'Abonnement','attr' : {'placeholder':'subscription'}})}}
                    <button type="submit" class="btn btn-success bottom">Inscription</button>
                    {{form_end(form)}}
                </div>
            </div>
        </section>
    </section>       
{% endblock %}